@dev21

Как выбрать версию php для композер?

На сервере по умолчанию установлен php5.6, но есть и 7.4. Я хочу чтобы композер запускался с ним. Или алиас сделать. Пытался делать вот так:

/usr/local/bin/composer_php7.4
#!/bin/bash
/opt/php74/bin/php /usr/local/bin/composer


Но так не прокидываются параметры...
  • Вопрос задан
  • 89 просмотров
Пригласить эксперта
Ответы на вопрос 2
gedev
@gedev
сисадмин-энтузиаст
Можно добавить в файл ~/.bash_profile (если надо для одного юзера) или в файл /etc/profile (если надо для всех пользователей на сервере):

export PATH=/opt/php74/bin/:$PATH
alias composer='/opt/php74/bin/php /usr/local/bin/composer'

Затем перелогиньтесь. Готово.
Ответ написан
irishmann
@irishmann
Научись пользоваться дебаггером
в папке где работаешь с композером
path_to_php7.4 path_to_composer install
узнать пути
which php7.4
which composer
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы